USB_DEVICE_INTERFACE_PROTOCOL
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_DEVICE_INTERFACE_PROTOCOL — macro used to describe a usb

## Synopsis

`USB_DEVICE_INTERFACE_PROTOCOL (` |  | vend,
|  | prod,
|  | pr`)`;

## Arguments

`vend`

  the 16 bit USB Vendor ID

`prod`

  the 16 bit USB Product ID

`pr`

  bInterfaceProtocol value

## Description

This macro is used to create a struct usb_device_id that matches a specific interface protocol of devices.

## Description

This macro is used to create a struct usb_device_id that matches a specific interface protocol of devices.

Prev | Up | Next
USB_DEVICE_VER | Home | USB_DEVICE_INFO